import bb.cascades 1.3

NavigationPane
{
    Page {
        id: sheetModify
        
        objectName: "page"
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("SecureX") + Retranslate.onLanguageChanged
            visibility: ChromeVisibility.Visible
            objectName: "title_bar"
        
        }// titleBar
        
        
        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            
            ListView {
                id: listView
                dataModel: _app.model
                focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _app.viewItem(indexPath)
                }
                
                objectName: "itemList"
                leadingVisualSnapThreshold: 0.6            
            } // listview
        
        
        
        } // container
    } // page
}
