import bb.cascades 1.0
    
Sheet 
{   
    Page {
    
    
    Container {
    
        ScrollView {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }
            
            
            Container {
                topPadding: 10
                bottomPadding: topPadding
                leftPadding: 10
                rightPadding: leftPadding
                
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("The Theme Settings allows you to add a custom background picture, button color and custom picture for each passcode button.")
                }
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("You must select the <b>Enable Theme</b> toggle button.")
                }
                
                
                Divider {
                
                }
                
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("Custom Pictures")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("To change a picture for a button touch the button.  If you can not see the button scroll up the screen.")
                }
                
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("Clear a Picture")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("To clear a button picture first select the <b>Clear Mode</b> checkbox and then touch the button you want to clear the picture.")
                }
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("Picture Opacity")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("To change the picture Opacity use the Slider control on the bottom the screen.")
                }
            
                Divider {
                
                }
                
                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("Create Your Own Skins")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("You can create your own skins for the lock screen and use it.  Do the following:")
                }

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("1. Connect your BlackBerry to your desktop computer\n2. Use File Explorer and open the Device and goto the folder misc/Locker/theme/custom")
                }
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("3. You will find a <b>template</b> folder.  Make a copy of the folder and rename it.\n4. Modify the skins.")
                }
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("5. To test your skin just run SecureX and goto the Theme screen and select your custom Theme.")
                }

            }// Container
        
        
        }// RecipeContainer
    }
    

    titleBar: TitleBar {
        id: addBar
        title: qsTr("Theme Help")
        visibility: ChromeVisibility.Visible
        
        
        acceptAction: ActionItem {
            title: qsTr("Close") + Retranslate.onLanguageChanged	            
            onTriggered: {
                _theme.close_window()
            }
        
        }
    }// titleBar

    
    }
}// RecipePage