import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Lock Sounds") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _lock.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _lock.saveSettings()
                }
            
            }
        }// titleBar
        
        ScrollView {
            Container {
                
                topPadding: 10
                leftPadding: 10
                rightPadding: 10

                Header {
                    title: qsTr("Lock and Unlock Sounds") + Retranslate.onLanguageChanged	            
                }	
                
                DropDown {
                    title: qsTr("Lock") + Retranslate.onLanguageChanged	            
                    objectName: "screen_lock"
                    Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: "Lock Sound1"
                    }
                    Option {
                        text: "Lock Sound2"
                    }
                    Option {
                        text: "Lock Sound3"
                    }
                    Option {
                        text: "Lock Sound4"
                    }
                    Option {
                        text: "Lock Sound5"
                    }
/*                    Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
                        enabled: false
                    }
*/
                    onSelectedIndexChanged: {
                        if (selectedIndex > 0)// && selectedIndex < 6)
                            _lock.delayPlaySound(selectedIndex, 0);
                    }
                    selectedIndex: 0
                }
                
                DropDown {
                    title: qsTr("Unlock") + Retranslate.onLanguageChanged	            
                    objectName: "screen_unlock"
                    Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: "Unlock Sound1"
                    }
                    Option {
                        text: "Unlock Sound2"
                    }
                    Option {
                        text: "Unlock Sound3"
                    }
                    Option {
                        text: "Unlock Sound4"
                    }
                    Option {
                        text: "Unlock Sound5"
                    }
/*                    Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
                        enabled: false
                    }
 */
                    onSelectedIndexChanged: {
                        if (selectedIndex > 0)// && selectedIndex < 6)
                            _lock.delayPlaySound(selectedIndex+4, 1);
                    
                    }
                    selectedIndex: 0
                }            
            
            
            }
        } // scrollview
    
    } // page
} // sheet